var _templateObject;
function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }
import { createStyles } from 'antd-style';
var createPathsStyle = function createPathsStyle(colors, timing) {
  return colors.reduce(function (pre, next, i) {
    var selectorPrefix = timing ? "&:".concat(timing, " ") : '';
    var selector = "".concat(selectorPrefix, " path:nth-of-type(").concat(i + 1, ")");
    var styleStr = "\n    ".concat(pre, "\n    ").concat(selector, " {\n      fill: ").concat(colors[i], ";\n    }\n    ");
    return styleStr;
  }, '');
};
var useStyles = createStyles(function (_ref, props) {
  var _props$twoToneColor, _props$hoverTwoToneCo, _props$activeTwoToneC;
  var css = _ref.css;
  return {
    iconWrap: css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n      display: inline-flex;\n      width: ", ";\n      height: ", ";\n      path:nth-of-type(1) {\n        fill: ", ";\n      }\n      &:hover path:nth-of-type(1) {\n        fill: ", ";\n      }\n      &:active path:nth-of-type(1) {\n        fill: ", ";\n      }\n      svg {\n        width: 100%;\n        height: 100%;\n      }\n      ", "\n      ", "\n        ", "\n    "])), typeof props.width === 'number' ? "".concat(props.width, "px") : props.width, typeof props.height === 'number' ? "".concat(props.height, "px") : props.height, props.color, props.hoverColor, props.activeColor, createPathsStyle((_props$twoToneColor = props.twoToneColor) !== null && _props$twoToneColor !== void 0 ? _props$twoToneColor : []), createPathsStyle((_props$hoverTwoToneCo = props.hoverTwoToneColor) !== null && _props$hoverTwoToneCo !== void 0 ? _props$hoverTwoToneCo : [], 'hover'), createPathsStyle((_props$activeTwoToneC = props.activeTwoToneColor) !== null && _props$activeTwoToneC !== void 0 ? _props$activeTwoToneC : [], 'active'))
  };
});
export { useStyles };